package ru.cdmlex.jtest.model;

public enum Direction {
	UP,
	RIGHT,
	DOWN,
	LEFT;
	
	public int deltaX() {
		switch (this) {
	case LEFT:
		return -1;
	case RIGHT:
		return 1;
	default:
		return 0;
		}
	}
	public int deltaY() {
		switch (this) {
	case UP:
		return -1;
	case DOWN:
		return 1;
	default:
		return 0;
		}
	}
	public int SpriteNum() {
	switch (this) {
	case UP:
		return 0;
	case RIGHT:
		return 1;
	case DOWN:
		return 2;
	case LEFT:
		return 3;
	default:
		return 0;
		}
	}
}

